Subject: Re: Using netconsole and getting double prints

From: Matt Mackall <[email-masked]>
Date: Thu, 05 Nov 2009 23:17:43 -0600

On Thu, 2009-11-05 at 16:54 -0800, Luis R. Rodriguez wrote:
> I'm getting double prints when using netconsole. This used to happen
> to me and then I just enable debugging log level manually (dmesg -n 8)
> but now no matter what I try I always get double prints.

This is the first report I've seen of that. Recommend investigating with
wireshark.

> I capture my data with netcat script (I call it netlog):
> 
> #!/bin/bash
> echo "You should now run in another window: tail -f $HOME/log"
> while true; do
> 	/bin/nc -u -l -p 6666 >> $HOME/log
> done
> 
> This also just doesn't work if I run the nc manually without a redirect:
> 
> while true; do /bin/nc -u -l -p 6666; done

That really shouldn't make any difference.

-- 
http://selenic.com : development and support for Mercurial and Linux